## keybinder-3.0 0.3.0

=== examples/Makefile ===
GTKPKG = gtk+-3.0
KEYBPKG = keybinder-3.0
GTK_CFLAGS = $(shell pkg-config --cflags $(GTKPKG))
GTK_LDFLAGS = $(shell pkg-config --libs $(GTKPKG))

LUA_CFLAGS = $(shell pkg-config --cflags lua5.1)
LUA_LDFLAGS = $(shell pkg-config --libs lua5.1)

KEYB_FLAGS = $(shell pkg-config --cflags --libs $(KEYBPKG))

CFLAGS ?= -g -O2

VALAC = valac

all: main lua vala

lua: minigtk.so keybinder.so

# Example C program with libkeybinder
main: main.c
	$(CC) $(KEYB_FLAGS) $(CFLAGS) $< -o $@

# Lua "minigtk" library
keybinder.so: lkeybinder.c
	$(CC) $(KEYB_FLAGS) $(CFLAGS) \
		$(LUA_CFLAGS) $(LUA_LDFLAGS) $< -shared -o $@

minigtk.so: lminigtk.c
	$(CC) $(GTK_CFLAGS) $(GTK_LDFLAGS) \
		$(LUA_CFLAGS) $(LUA_LDFLAGS) $< -shared -o $@

vala: vexample

vexample: vexample.vala keybinder.vapi
	$(VALAC) --pkg $(GTKPKG) --pkg keybinder --vapidir=. $<

clean:
	rm -f *.so *.lo main vexample

.PHONY: clean all lua vala

=== debian/changelog ===
keybinder-3.0 (0.3.0-0ubuntu1) quantal; urgency=low

  * New source package for keybinder-3.0 based on the keybinder package.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 27 Jun 2012 10:26:45 -0400

=== debian/control ===
Source: keybinder-3.0
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               pkg-config (>= 0.9.0),
               libgtk-3-dev,
               libgirepository1.0-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://kaizer.se/wiki/keybinder/

Package: libkeybinder-3.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: registers global key bindings for applications
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.

Package: libkeybinder-3.0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkeybinder-3.0-0 (= ${binary:Version})
Description: registers global key bindings for applications - development headers
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.
 .
 This package contains libkeybinder development headers.

Package: gir1.2-keybinder-3.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: registers global key bindings for applications - typelib
 keybinder is a library for registering global keyboard shortcuts to be used by
 GTK-based applications under the X Window System.
 .
 When a combination of key is pressed, keybinder notifies it to the registering
 application, which can execute one or more operations based on the event
 previously registered.
 .
 Originally written as part of the Tomboy project, keybinder has been
 distributed as stand-alone library let other applications to use key binding.
 .
 This package contains libkeybinder introspection typelib.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

clean:
	dh $@

override_dh_gencontrol:
	dh_girepository
	dh_gencontrol

=== debian/watch ===
version=3
http://kaizer.se/publicfiles/keybinder/keybinder-3.0-([0-9.]+)\.tar\.gz

## keybinder-3.0 0.3.1

=== debian/changelog ===
keybinder-3.0 (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 08 Nov 2015 13:28:03 -0500

keybinder-3.0 (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #698638).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 09 Mar 2014 11:43:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: keybinder-3.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-config (>= 0.9.0),
                libgtk-3-dev,
                libgirepository1.0-dev,
                gobject-introspection,
                libgirepository1.0-dev,
+               gtk-doc-tools (>= 1.14),
                dh-autoreconf
-Standards-Version: 3.9.3
-Homepage: http://kaizer.se/wiki/keybinder/
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.5
+Homepage: https://github.com/engla/keybinder
+Vcs-Git: git://anonscm.debian.org/collab-maint/keybinder-3.0.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/keybinder-3.0.git;a=summary
 
 Package: libkeybinder-3.0-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: registers global key bindings for applications
+Description: registers global key bindings for applications - Gtk+3
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.
  .
@@ -27,12 +31,14 @@
  .
  Originally written as part of the Tomboy project, keybinder has been
  distributed as stand-alone library let other applications to use key binding.
+ .
+ This is the Gtk+3 version of the library.
 
 Package: libkeybinder-3.0-dev
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkeybinder-3.0-0 (= ${binary:Version})
-Description: registers global key bindings for applications - development headers
+Description: registers global key bindings for applications - Gtk+3 - development headers
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.
  .
@@ -44,14 +50,16 @@
  distributed as stand-alone library let other applications to use key binding.
  .
  This package contains libkeybinder development headers.
+ .
+ This is the Gtk+3 version of the library.
 
 Package: gir1.2-keybinder-3.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}
-Description: registers global key bindings for applications - typelib
+Description: registers global key bindings for applications - Gtk+3 - typelib
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.
  .
@@ -63,3 +71,24 @@
  distributed as stand-alone library let other applications to use key binding.
  .
  This package contains libkeybinder introspection typelib.
+ .
+ This is the Gtk+3 version of the library.
+
+Package: keybinder-3.0-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: registers global key bindings for applications - Gtk+3 - documentation
+ keybinder is a library for registering global keyboard shortcuts to be used by
+ GTK-based applications under the X Window System.
+ .
+ When a combination of key is pressed, keybinder notifies it to the registering
+ application, which can execute one or more operations based on the event
+ previously registered.
+ .
+ Originally written as part of the Tomboy project, keybinder has been
+ distributed as stand-alone library let other applications to use key binding.
+ .
+ This package contains documentation and API reference.
+ .
+ This is the Gtk+3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-gtk-doc

## keybinder-3.0 0.3.2

=== debian/changelog ===
keybinder-3.0 (0.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #886199, LP: #1683560). 
  * Bump Standards-Version to 4.1.3, no changes. 
  * libkeybinder-3.0-dev depends on the typelib package.
  * Build depend on gnome-common.
  * Update symbols file for new API. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 02 Jan 2018 22:31:16 -0500

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
                libgirepository1.0-dev,
                gobject-introspection,
                libgirepository1.0-dev,
+               gnome-common,
                gtk-doc-tools (>= 1.14),
                dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 Homepage: https://github.com/engla/keybinder
 Vcs-Git: git://anonscm.debian.org/collab-maint/keybinder-3.0.git
@@ -37,7 +38,10 @@
 Package: libkeybinder-3.0-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkeybinder-3.0-0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libkeybinder-3.0-0 (= ${binary:Version}),
+         gir1.2-keybinder-3.0 (= ${binary:Version})
 Description: registers global key bindings for applications - Gtk+3 - development headers
  keybinder is a library for registering global keyboard shortcuts to be used by
  GTK-based applications under the X Window System.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-gtk-doc
